%def_without test
%define module_name Mojolicious-Plugin-Cron
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Algorithm/Cron.pm) perl(Fcntl.pm) perl(Module/Build/Tiny.pm) perl(Mojolicious.pm) perl(Test/Mock/Time.pm) perl(Test2/V0.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.027
Release: alt1
Summary: a Cron-like helper for Mojolicious and Mojolicious::Lite projects
Group: Development/Perl
License: perl
URL: https://github.com/dmanto/Mojolicious-Plugin-Cron

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/D/DM/DMANTO/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
the Mojolicious::Plugin::Cron manpage is a the Mojolicious manpage plugin that allows to schedule tasks
 directly from inside a Mojolicious application.
You should not consider it as a *nix cron replacement, but as a method to make a proof of
concept of a project.

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc LICENSE CONTRIBUTING.md README.md Changes examples
%perl_vendor_privlib/M*

%changelog
* Fri Jan 18 2019 Igor Vlasenko <viy@altlinux.ru> 0.027-alt1
- regenerated from template by package builder

* Wed May 30 2018 Igor Vlasenko <viy@altlinux.ru> 0.023-alt1
- initial import by package builder

